`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    17:19:58 02/17/2010 
// Design Name: 
// Module Name:    hex 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module hex(
	input [3:0] decode,
	output [6:0] 7seg 
    );


// 7-segment encoding
//      0
//     ---
//  5 |   | 1
//     --- <--6
//  4 |   | 2
//     ---
//      3

   always @ (decode)
      case (decode)
          4'b0001 : 7seg = 7'b1111001;   // 1
          4'b0010 : 7seg = 7'b0100100;   // 2
          4'b0011 : 7seg = 7'b0110000;   // 3
          4'b0100 : 7seg = 7'b0011001;   // 4
          4'b0101 : 7seg = 7'b0010010;   // 5
          4'b0110 : 7seg = 7'b0000010;   // 6
          4'b0111 : 7seg = 7'b1111000;   // 7
          4'b1000 : 7seg = 7'b0000000;   // 8
          4'b1001 : 7seg = 7'b0010000;   // 9
          4'b1010 : 7seg = 7'b0001000;   // A
          4'b1011 : 7seg = 7'b0000011;   // b
          4'b1100 : 7seg = 7'b1000110;   // C
          4'b1101 : 7seg = 7'b0100001;   // d
          4'b1110 : 7seg = 7'b0000110;   // E
          4'b1111 : 7seg = 7'b0001110;   // F
          default : 7seg = 7'b1000000;   // 0
      endcase
				
endmodule
